﻿using System;
using System.Globalization;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace MetroWindow.Interactivity
{
    /// <summary>
    /// Exists in Telerik
    /// </summary>
    [ValueConversion(typeof(String), typeof(Image))]
    public class ImageToStringConverter : IValueConverter
    {
        public Object Convert(Object value, Type targetType, Object parameter, CultureInfo culture)
        {
            if (value == null)
                return null;

            return (value as Image).Source.ToString();
        }

        public Object ConvertBack(Object value, Type targetType, Object parameter, CultureInfo culture)
        {
            if (value == null)
                return null;

            Uri uri = new Uri(value.ToString(), UriKind.Absolute);
            BitmapImage icon = new BitmapImage(uri);

            return new Image() { Source = icon };
        }
    }
}
