﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Navigation;

namespace MetroWindow
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RadWindow
    {
        public MainWindow()
        {
            BitmapImage icon = this.FindIcon("pack://application:,,,/Resources/WPF_256.png");

            RadWindowInteropHelper.SetShowInTaskbar(this, true);
            RadWindowInteropHelper.SetIcon(this, icon);

            this.Icon = new Image() { Source = icon };

            InitializeComponent();

            this.Width = SystemParameters.PrimaryScreenWidth;
            this.Height = SystemParameters.PrimaryScreenHeight;
        }

        #region METHODS
        /// <summary>
        /// 
        /// </summary>
        /// <param name="resourcePath"></param>
        /// <returns></returns>
        private BitmapImage FindIcon(String resourcePath)
        {
            Uri uri = new Uri(resourcePath, UriKind.Absolute);
            BitmapImage icon = new BitmapImage(uri);

            if (icon.Height > 32 || icon.Width > 32)
                icon = this.ResizeIcon(uri);

            return icon;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="uri"></param>
        /// <returns></returns>
        private BitmapImage ResizeIcon(Uri uri)
        {
            BitmapImage icon = new BitmapImage();

            icon.BeginInit();
            icon.DecodePixelWidth = 32;
            icon.DecodePixelHeight = 32;
            icon.UriSource = uri;
            icon.EndInit();

            return icon;
        }
        #endregion
    }
}